Skip to main content
GET
/
payin
/
quotation
/
{quotation_id}
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/pis/api/v1/payin/quotation/{quotation_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "id": "2e104290-07c8-49f1-a5ca-0d27f0078f8a",
    "order_id": "550e8400-e29b-41d4-a716-446655440000",
    "customer_id": "def8b740-99f9-4cba-bc9e-99de57e927b4",
    "bank_id": "4e6f1b20-a73c-11ec-b909-0242ac120002",
    "status": "PROCESSING",
    "asset": "USDT",
    "fiat": "INR",
    "payment_method": "IMPS",
    "sending_amount": 10,
    "rate": 87.2,
    "receiving_amount": 846.19,
    "fees": {
      "client_fee_fiat": 450,
      "client_fee_crypto": 5,
      "dollarpe_fee": 450,
      "pg_fee": 18,
      "client_gst_fiat": 81,
      "client_gst_crypto": 0.9,
      "dollarpe_gst": 81,
      "pg_gst": 81,
      "tds": 889.17,
      "gross_effective_exchange_rate": 88.92
    },
    "deposit_instructions": {
      "account_number": "1234567890",
      "ifsc": "1234567890",
      "account_name": "Sandbox Technologies Pvt Ltd"
    },
    "created_at": "2025-03-04T15:54:20+00:00",
    "expiry_time": "2025-03-04T15:59:20+00:00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dollarpe.xyz/llms.txt

Use this file to discover all available pages before exploring further.

API Status CodeResponseReason
400Quotation ID is required.Missing Quotation ID
400Quotation ID is invalidInvalid Quotation ID
500Internal Server ErrorInternal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

quotation_id
string<uuid>
required

The unique identifier of the quotation

Example:

"2e104290-07c8-49f1-a5ca-0d27f0078f8a"

Response

Quotation details fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object